tebarDocs
GuideDevelopersAPI ReferenceChangelog
Webhooks

Get a webhook endpoint

GET
/v1/webhooks/{id}

Requires the read scope. Owner key or session only: a profile key gets 403 owner_key_required.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Path Parameters

id*string
Formatuuid

Response Body

The endpoint.

application/json
  1. response
id*string
Formatuuid
url*string
events*array<>
profile_id*|

null: events of every profile.

active*boolean
failure_count*integer
disabled_at*|null
created_at*string
Formatdate-time
Example Request
curl -X GET 'https://api.tebar.app/v1/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "url": "string",
  "events": [
    "account.connected"
  ],
  "profile_id": "bfcb6779-b1f9-41fc-92d7-88f8bc1d12e8",
  "active": true,
  "failure_count": 0,
  "disabled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z"
}